> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.mangopay.com/api-reference/recipients/deactivate-recipient/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.mangopay.com/_mcp/server. # Deactivate a Recipient PUT https://api.sandbox.mangopay.com/v2.01/{ClientId}/recipients/{RecipientId} Content-Type: application/json Permanently disable a Recipient Reference: https://docs.mangopay.com/api-reference/recipients/deactivate-recipient ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. If your platform is using a [proxy](/guides/sca/proxy-management) to take SCA-triggering action on behalf of users, you also need to integrate [mTLS authentication](/guides/sca/platform) and use the `api-mtls` base URL. ## Servers - `https://api.sandbox.mangopay.com` (Sandbox, default) - `https://api.mangopay.com` (Production) - `https://api-mtls.sandbox.mangopay.com` (mTLS Sandbox) - `https://api-mtls.mangopay.com` (mTLS Production) ## Request ### Path parameters - `ClientId` (string, required) — Platform's API account identifier, associated with the API key. - `RecipientId` (string, required) — The unique identifier of the Recipient or legacy Bank Account (the legacy `BankAccountId` value can be used on this endpoint). ### Body (application/json) This endpoint expects a DeactivateARecipientRequest. - `Status` (string, required) — **Allowed values:** `DEACTIVATED` The status of the recipient: - `DEACTIVATED` – Value to send to permanently disable the recipient so it can no longer be used. The Recipient must be `ACTIVE` to be deactivated. ## Response ### 200 Success - `Id` (string, optional) — Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details) The unique identifier of the object. - `Status` (string, optional) — **Returned values:** `PENDING`, `CANCELED`, `ACTIVE`, `DEACTIVATED` The status of the recipient: - `PENDING` – For `PAYOUT` scope recipients, the user must complete SCA before the recipient can become `ACTIVE`. For `PAYIN` scope recipients, the recipient creation is in progress. - `CANCELED` – SCA was not successfully completed and the recipient creation request was canceled. To retry, create another recipient to retrieve another `PendingUserAction.RedirectUrl`. The `CANCELED` status does not apply if `RecipientScope` is `PAYIN`. - `ACTIVE` – Recipient creation was successful (including SCA if `RecipientScope` is `PAYOUT`) and the recipient is ready to be used for payouts. - `DEACTIVATED` – The recipient has been permanently deactivated and can no longer be used. - `CreationDate` (integer, optional) — Unix timestamp (UTC) of the date and time the object was created. - `DisplayName` (string, optional, nullable) — Length: 1–50; cannot contain: `&,'/` (pattern:`^(?!.*[&,'/]).{1,50}$`) A user-friendly name to identify the account. This value cannot be changed once the recipient is created. - `PayoutMethodType` (string, optional) — **Returned values:** `InternationalBankTransfer`, `LocalBankTransfer` The payout method of the recipient: - `LocalBankTransfer` – The account can **only** receive the corresponding local `Currency` for the `Country` via the [domestic payment rail](/guides/payouts#payout-rails) (e.g. `EUR` via a SEPA local scheme to a SEPA country, `GBP` via FPS to a `GB` account, `USD` via ACH to a `US` account, etc). Payouts in non-local currencies return an error. - `InternationalBankTransfer` – The account can receive both non-local currencies via SWIFT and also local currency via domestic rails. - `RecipientType` (string, optional) — **Returned values:** `Individual`, `Business` The recipient type: - `Individual` – An account held by a natural person, requiring the `IndividualRecipient` property. - `Business` – An account held by a legal entity, requiring the `BusinessRecipient` property. - `Currency` (string, optional) — **Possible values:** `AED`, `AUD`, `CAD`, `CHF`, `CNH`, `CZK`, `DKK`, `EUR`, `GBP`, `HKD`, `HUF`, `ILS`, `JPY`, `MXN`, `NOK`, `NZD`, `PLN`, `RON`, `SAR`, `SEK`, `SGD`, `TRY`, `USD`, `ZAR` The currency of the recipient. - `Country` (string, optional) — Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats)) The destination country of the payout method. - `UserId` (string, optional) — The unique identifier of the user. - `RecipientScope` (string, optional) — **Returned values:** `PAYIN`, `PAYOUT` The scope of the recipient: - `PAYOUT` – Usable for payouts and in pay-in use cases. A `PAYOUT` recipient can only be created by a user with the `UserCategory` `OWNER` and requires SCA. - `PAYIN` - Not usable for payouts but only usable for pay-in use cases, such as direct debit and refunds using payouts. A `PAYIN` recipient can be created by a user with the `UserCategory` `PAYER` or `OWNER`, and does not require SCA. Both `PAYIN` and `PAYOUT` scopes can be created for either `InternationalBankTransfer` or `LocalBankTransfer`, and for either `IndividualRecipient` or `BusinessRecipient`, and for any `Currency`. - `Tag` (string, optional, nullable) — Max. length: 255 (pattern: `^.{0,255}$`) Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: `"{\"id_1\":AB123,\"id_2\":DE456}"`. This value cannot be edited once created. - `ScaContext` (string, optional) — **Returned values:** `USER_PRESENT`, `USER_NOT_PRESENT` The SCA context provided in the create request. Returned in the create response and when viewing the recipient if a `ScaContext` value was sent when the recipient was registered. Omitted otherwise. - `IndividualRecipient` (IndividualRecipient_Response, optional) — The account holder if the `RecipientType` is `Individual`. - `BusinessRecipient` (BusinessRecipient_Response, optional) — The account holder if the `RecipientType` is `Business`. - `InternationalBankTransfer` (InternationalBankTransfer_Response, optional) — The account details if `PayoutMethodType` is `InternationalBankTransfer`. - `LocalBankTransfer` (LocalBankTransferDetails, optional) — The account details if `PayoutMethodType` is `LocalBankTransfer`, depending on the `Currency`. One of: - `PendingUserAction` (PendingUserAction, optional, nullable) — Object containing the `RedirectUrl` needed for SCA redirection if triggered by the API call (otherwise returned `null`). ## Errors ### 400 Bad Request Error Bad Request - `Message` (string, optional) — Description of the error. - `Type` (string, optional) — The category of the error. - `Id` (string, optional) — Unique identifier of the error instance, useful when contacting Mangopay for support. - `Date` (double, optional) — Unix timestamp (UTC) of the date and time the error was triggered. - `errors` (map from string to string, optional, nullable) — Object containing one or more field-level errors. ## Types ### IndividualRecipient_Response The account holder if the `RecipientType` is `Individual`. - `FirstName` (string, optional) — Length: 1–255; cannot contain: `()&,.:_/` (Pattern: `^(?!.*[()&,.:_/]).{1,255}$`) The first name of the individual account holder. - `LastName` (string, optional) — Length: 1–255; cannot contain: `()&,.:_/` (Pattern: `^(?!.*[()&,.:_/]).{1,255}$`) The last name of the individual account holder. - `Address` (Address_Recipient, optional) — Information about the address. ### BusinessRecipient_Response The account holder if the `RecipientType` is `Business`. - `BusinessName` (string, optional) — Length: 1–255; cannot contain: `(),.:/` (Pattern: `^(?!.*[(),.:/]).{1,255}$`) The name of the business account holder. - `Address` (Address_Recipient, optional) — Information about the address. ### InternationalBankTransfer_Response The account details if `PayoutMethodType` is `InternationalBankTransfer`. - `AccountNumber` (string, optional) — The account number of the account. - `BIC` (string, optional) — The BIC of the account. For IBAN countries, the returned `BIC` is generated from the IBAN. ### LocalBankTransferDetails The account details if `PayoutMethodType` is `LocalBankTransfer`, depending on the `Currency`. One of: - `AUD` (LocalBankTransfer_AUD, optional) — Local bank transfer details for `Currency` value `AUD`. - `CAD` (LocalBankTransfer_CAD, optional) — Local bank transfer details for `Currency` value `CAD`. - `CHF` (LocalBankTransfer_IBAN, optional) — Local bank transfer details for IBAN-based currencies (`CHF`, `CZK`, `DKK`, `EUR`, `HUF`, `NOK`, `PLN`, `RON`, `SEK`). - `CZK` (LocalBankTransfer_IBAN, optional) — Local bank transfer details for IBAN-based currencies (`CHF`, `CZK`, `DKK`, `EUR`, `HUF`, `NOK`, `PLN`, `RON`, `SEK`). - `DKK` (LocalBankTransfer_IBAN, optional) — Local bank transfer details for IBAN-based currencies (`CHF`, `CZK`, `DKK`, `EUR`, `HUF`, `NOK`, `PLN`, `RON`, `SEK`). - `EUR` (LocalBankTransfer_IBAN, optional) — Local bank transfer details for IBAN-based currencies (`CHF`, `CZK`, `DKK`, `EUR`, `HUF`, `NOK`, `PLN`, `RON`, `SEK`). - `GBP` (LocalBankTransfer_GBP, optional) — Local bank transfer details for `Currency` value `GBP`. - `HKD` (LocalBankTransfer_HKD, optional) — Local bank transfer details for `Currency` value `HKD`. - `HUF` (LocalBankTransfer_IBAN, optional) — Local bank transfer details for IBAN-based currencies (`CHF`, `CZK`, `DKK`, `EUR`, `HUF`, `NOK`, `PLN`, `RON`, `SEK`). - `MXN` (LocalBankTransfer_MXN, optional) — Local bank transfer details for `Currency` value `MXN`. - `NOK` (LocalBankTransfer_IBAN, optional) — Local bank transfer details for IBAN-based currencies (`CHF`, `CZK`, `DKK`, `EUR`, `HUF`, `NOK`, `PLN`, `RON`, `SEK`). - `PLN` (LocalBankTransfer_IBAN, optional) — Local bank transfer details for IBAN-based currencies (`CHF`, `CZK`, `DKK`, `EUR`, `HUF`, `NOK`, `PLN`, `RON`, `SEK`). - `RON` (LocalBankTransfer_IBAN, optional) — Local bank transfer details for IBAN-based currencies (`CHF`, `CZK`, `DKK`, `EUR`, `HUF`, `NOK`, `PLN`, `RON`, `SEK`). - `SEK` (LocalBankTransfer_IBAN, optional) — Local bank transfer details for IBAN-based currencies (`CHF`, `CZK`, `DKK`, `EUR`, `HUF`, `NOK`, `PLN`, `RON`, `SEK`). - `SGD` (LocalBankTransfer_SGD, optional) — Local bank transfer details for `Currency` value `SGD`. - `TRY` (LocalBankTransfer_TRY, optional) — Local bank transfer details for `Currency` value `TRY`. - `USD` (LocalBankTransfer_USD, optional) — Local bank transfer details for `Currency` value `USD`. ### PendingUserAction Object containing the `RedirectUrl` needed for SCA redirection if triggered by the API call (otherwise returned `null`). - `RedirectUrl` (string, optional) — The URL to which to redirect the user to perform strong customer authentication (SCA) via a Mangopay-hosted webpage. This value is a variable and should not be hardcoded. The SCA session link expires 10 minutes after it's generated. **Caution:** Before redirecting the user on this URL, you must add the query parameter `ReturnUrl` with the percent-encoded URL to which you want the SCA session to return the user after authentication (whether successful or not). For more details, see [How to redirect a user for an SCA session](/guides/sca/session#how-to-redirect-a-user-for-sca). ### Address_Recipient Information about the address. - `AddressLine1` (string, optional) — Length: 1–255; cannot contain: `()/` (Pattern: `^(?!.*[()/]).{1,255}$`) The first line of the address. - `AddressLine2` (string, optional, nullable) — Length: 1–255; cannot contain: `()/` (Pattern: `^(?!.*[()/]).{1,255}$`) The second line of the address. Parameter only returned if sent. - `City` (string, optional) — Length: 1-80; cannot contain: `&,.:_'` (pattern: `^(?!.*[&,.:_]).{1,80}$`) The city of the address. - `Region` (string, optional, nullable) — Length: 1–10; cannot contain: `&,.:_'-/` (pattern: `^(?!.*[&,.:_/]).{1,50}$`) The region of the address. Parameter only returned if sent. - `PostalCode` (string, optional) — Length: 1–10; cannot contain: `()&,.:_'/` (pattern: `^(?!.*[()&,.:_'/]).{1,10}$`) The postal code of the address. - `Country` (string, optional) — Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats)) The country of the address. ### LocalBankTransfer_AUD Local bank transfer details for `Currency` value `AUD`. - `BSB` (string, optional) — Format: 6 digits, optionally with a hyphen after the first 3 (pattern: `^\d{3}-?\d{3}$`). The BSB (Bank State Branch) number of the Australian account. - `AccountNumber` (string, optional) — Format: 5–10 numeric digits (pattern: `^\d{5,10}$`). The account number of the Australian account. ### LocalBankTransfer_CAD Local bank transfer details for `Currency` value `CAD`. - `AccountNumber` (string, optional) — Format: 7–35 digits (pattern: `^\d{7,35}$`). The account number of the Canadian account. - `InstitutionNumber` (string, optional) — Format: 3 digits (pattern: `^\d{3}$`). The institution number of the Canadian account. - `BranchCode` (string, optional) — Format: 5 digits (pattern: `^\d{5}$`). The branch code of the Canadian account. - `BankName` (string, optional) — Length: 1–50. The bank name of the Canadian account. ### LocalBankTransfer_IBAN Local bank transfer details for IBAN-based currencies (`CHF`, `CZK`, `DKK`, `EUR`, `HUF`, `NOK`, `PLN`, `RON`, `SEK`). - `IBAN` (string, optional) — Format: A valid IBAN (pattern: `^[a-zA-Z]{2}\d{2}\s*(\w{4}\s*){2,7}\w{1,4}\s*$`). The IBAN of the account. - `BIC` (string, optional) — The BIC of the account. For IBAN countries, the returned `BIC` is generated from the IBAN. ### LocalBankTransfer_GBP Local bank transfer details for `Currency` value `GBP`. - `AccountNumber` (string, optional) — Format: 8 digits (pattern: `^\d{8}$`). The account number of the UK account. - `SortCode` (string, optional) — Format: 6 digits (pattern: `^\d{6}$`). The sort code of the UK account. ### LocalBankTransfer_HKD Local bank transfer details for `Currency` value `HKD`. - `BankCode` (string, optional) — Format: exactly 3 characters (pattern: `^.{3}$`). The bank code of the Hong Kong account. - `BranchCode` (string, optional) — Format: exactly 3 characters (pattern: `^.{3}$`). The branch code of the Hong Kong account. - `AccountNumber` (string, optional) — Format: 6–9 numeric digits (pattern: `^\d{6,9}$`). The account number of the Hong Kong account. - `BIC` (string, optional) — Format: 8 or 11 alphanumeric characters. The BIC of the Hong Kong account. ### LocalBankTransfer_MXN Local bank transfer details for `Currency` value `MXN`. - `Clabe` (string, optional) — Format: exactly 18 numeric digits (pattern: `^\d{18}$`). The CLABE (Clave Bancaria Estandarizada) of the Mexican account. - `BIC` (string, optional) — Format: 8 or 11 alphanumeric characters. The BIC of the Mexican account. ### LocalBankTransfer_SGD Local bank transfer details for `Currency` value `SGD`. - `BankCode` (string, optional) — Format: 3–4 numeric digits (pattern: `^\d{3,4}$`). The bank code of the Singaporean account. - `AccountNumber` (string, optional) — Format: 6–34 alphanumeric characters (pattern: `^[0-9a-zA-Z]{6,34}$`). The account number of the Singaporean account. - `BIC` (string, optional) — Format: 8 or 11 alphanumeric characters. The BIC of the Singaporean account. ### LocalBankTransfer_TRY Local bank transfer details for `Currency` value `TRY`. - `IBAN` (string, optional) — Format: 26 alphanumeric characters, starting with `TR` (pattern: `^TR[a-zA-Z0-9]{24}$`). The IBAN of the Turkish account. - `BeneficiaryIdentificationValue` (string, optional) — Format: 10–11 alphanumeric characters (pattern: `^[a-zA-Z0-9]{10,11}$`). Optional if the Recipient's `RecipientType` is `Individual`; required if `Business`. The Turkish national identification number (for an individual beneficiary) or tax identification number (for a business beneficiary). ### LocalBankTransfer_USD Local bank transfer details for `Currency` value `USD`. - `AccountNumber` (string, optional) — Format: 8–12 alphanumeric characters (pattern: `^[0-9a-zA-Z]{8,12}$`). The account number of the US account. - `ABA` (string, optional) — Format: 9 digits (pattern: `^\d{9}$`). The ABA routing number of the US account. - `FFC` (string, optional) — Format: 8-12 digits then `FFC` then a space then a string of characters up to 140 total length (pattern: `^(?=.{0,140}$)[0-9]{8,12}/FFC [0-9a-zA-Z/\-?:().,'+ ]+$`). FFC transfer information for the US account. ## Examples **Request** ```json { "body": { "Status": "DEACTIVATED" } } ``` **Response** ```json { "Id": "rec_01JRAEAA2RBYFV0MQD0K49221G", "Status": "DEACTIVATED", "CreationDate": 1744107284, "DisplayName": "Alex Smith EUR international pay-in account", "PayoutMethodType": "InternationalBankTransfer", "RecipientType": "Business", "Currency": "EUR", "Country": "FR", "UserId": "user_m_01JRADX7YD0060N5VAA0XPMM54", "RecipientScope": "PAYIN", "Tag": "Created using the Mangopay API Postman collection", "BusinessRecipient": { "BusinessName": "Alex Smith Consulting", "Address": { "AddressLine1": "3 rue de la Cité", "AddressLine2": "Appartement 7", "City": "Paris", "Region": "Ile de France", "PostalCode": "75001", "Country": "FR" } }, "InternationalBankTransfer": { "AccountNumber": "FR7630004000031234567890143", "BIC": "BNPAFRPPXXX" } } ```